Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(HTML/LinkExtor.pm) perl(LWP/UserAgent.pm) perl(Marpa/PP.pm) perl(Text/Diff.pm) perl(URI/URL.pm) perl(charnames.pm) perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.Marpa.XS.Version.pm./d
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Marpa-XS
Version:        1.008000
Release:        alt13_40
Summary:        Language grammar parser module for Perl
License:        LGPL-3.0-or-later
URL:            https://metacpan.org/release/Marpa-XS
Source0:        https://cpan.metacpan.org/authors/id/J/JK/JKEGL/Marpa-XS-%{version}.tar.gz
Patch1:         0001-Require-2.124-Data-Dumper.patch
# Adjust to Perl 5.32, bug #1851334
Patch2:         Marpa-XS-1.008000-Adjust-to-Perl-5.32.patch
# Suppress the warnings about an intentionally used smartmatch operator
Patch3:         Marpa-XS-1.008000-Suppress-warnings-about-an-experimental-smartmatch-o.patch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl-Glib-devel
BuildRequires:  perl-devel
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/CBuilder.pm)
BuildRequires:  perl(Fatal.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Glib/Install/Files.pm)
BuildRequires:  perl(IPC/Cmd.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Time/Piece.pm)
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(ExtUtils/PkgConfig.pm)
BuildRequires:  perl(Glib.pm)
# Bareword Glib::Log exported from Glib probably
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Scalar/Util.pm)
# Using ExtUtils::PkgConfig instead of perl(XSLoader)
BuildRequires:  pkgconfig(glib-2.0)
# Tests
BuildRequires:  perl(Getopt/Long.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(YAML/XS.pm)
# Optional tests
BuildRequires:  perl(PPI.pm)
BuildRequires:  perl(PPI/Document.pm)
BuildRequires:  perl(Task/Weaken.pm)
# perl(Test::Weaken) >= 3.004000 not packaged yet
# AFAIK the PPI is used at test-time only. Do not require it?
Requires:       perl(PPI.pm) >= 1.206
Provides:       perl(Marpa/XS/Version.pm) = %{version}



# Remove under-specified dependencies


Source44: import.info
%filter_from_requires /^perl(Carp.pm)/d
%filter_from_provides /^perl(Marpa.XS.pm)/d
  

%description
Marpa::XS is a XS version of Marpa.

Marpa parses any language whose grammar can be written in BNF. That 
includes recursive grammars, ambiguous grammars, infinitely ambiguous 
grammars and grammars with useless or empty productions.


%prep
%setup -q -n Marpa-XS-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Update the various config.guess to upstream release for newer arch support
find ./ -name config.guess -exec cp /usr/lib/rpm/redhat/config.guess {} ';'
find ./ -name config.sub -exec cp /usr/lib/rpm/redhat/config.sub {} ';'

%build
# Switch to C89 mode because the implementation relies on implicit
# function declarations.
%global build_type_safety_c 0

CC="$CC -std=gnu89"
/usr/bin/perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build


%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%files
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/Marpa*
%doc --no-dereference COPYING COPYING.LESSER LICENSE
%doc Changes README


%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 1.008000-alt13_40
- rebuild to get rid of unmets

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.008000-alt12_40
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.008000-alt12_37
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.008000-alt12_35
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.008000-alt12_34
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.008000-alt12_33
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.008000-alt12_32
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 1.008000-alt12_31
- update to new release by fcimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 1.008000-alt12_30
- rebuild to get rid of unmets

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.008000-alt11_30
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt11_29
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt10_29
- rebuild with perl 5.30

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt9_29
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt9_28
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt9_26
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt9_25
- update to new release by fcimport

* Mon Jun 17 2019 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt9_24
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt9_23
- update to new release by fcimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 1.008000-alt9_22
- rebuild to get rid of unmets

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 1.008000-alt8_22
- rebuild to get rid of unmets

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt7_22
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt7_21
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt7_20
- update to new release by fcimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt7_18
- rebuild with perl 5.26

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt6_18
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt6_16
- update to new release by fcimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.008000-alt6_14
- rebuild to get rid of unmets

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt5_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt5_13
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 1.008000-alt5_12
- rebuild to get rid of unmets

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt4_12
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.008000-alt4_10
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt3_10
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt3_9
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt3_7
- update to new release by fcimport

* Wed Sep 11 2013 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt3_6
- rebuild

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt2_6
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt2_5
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt2_4
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 1.008000-alt2_3
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt1_3
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.008000-alt1_1
- fc import

